import os
import pytest
from sds_mng.setting.fetch_producs import fetch_products
from sds_mng.util import logger

@pytest.mark.asyncio
async def test_fetch_orders_async():
    token = os.environ.get("SDS_MNG_TOKEN")
    data = await fetch_products(token)
    # logger.info([ {"name": d.get("name"), "sku": d.get("sku")} for d in data.get("list")])
    logger.info(len(data.get("list")))